package com.loafle.bridge.collector;

import com.loafle.bridge.discoveryservice.entity.DiscoveryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Created by root on 16. 11. 15.
 */
public class CollectorController {

    @Autowired
    private CollectorRepository repository;

    @RequestMapping(value = "/collector/{productId}", method = RequestMethod.GET)
    public Collector get(@PathVariable(value = "productId") long productId) {
        return repository.findByPID(productId);
    }


}
